﻿using UpdateControls;

namespace CAP.Pages
{
    public class PageChoices : Page
    {
        private string[] _states =
        {
            "Begin",
            "HaloStart",
            "HaloEnd",
            "FactoryStart",
            "FactoryEnd",
            "LOBStart",
            "LOBEnd"
        };
        private int _currentStateIndex = 0;

        public PageChoices(PresentationNavigationModel presentationNavigation)
            : base(presentationNavigation, "Choices", "Choices")
        {
        }

        #region Independent properties
        // Generated by Update Controls --------------------------------
        private Independent _indCurrentStateIndex = new Independent();

        public int CurrentStateIndex
        {
            get { _indCurrentStateIndex.OnGet(); return _currentStateIndex; }
            set { _indCurrentStateIndex.OnSet(); _currentStateIndex = value; }
        }
        // End generated code --------------------------------
        #endregion

        public override string CurrentState
        {
            get { return _states[CurrentStateIndex]; }
        }

        public override void ChangeState(int offset)
        {
            int newStateIndex = CurrentStateIndex + offset;
            if (0 <= newStateIndex && newStateIndex < _states.Length)
                CurrentStateIndex = newStateIndex;
        }
    }
}
