﻿using UpdateControls;

namespace CAP.Pages
{
    public class PageEventSourcing : Page
    {
        private string[] _states =
        {
            "Begin",
            "Remote",
            "Begin",
            "Split"
        };
        private int _currentStateIndex = 0;

        public PageEventSourcing(PresentationNavigationModel presentationNavigation)
            : base(presentationNavigation, "EventSourcing", "Event Sourcing")
        {

        }

        #region Independent properties
        // Generated by Update Controls --------------------------------
        private Independent _indCurrentStateIndex = new Independent();

        public int CurrentStateIndex
        {
            get { _indCurrentStateIndex.OnGet(); return _currentStateIndex; }
            set { _indCurrentStateIndex.OnSet(); _currentStateIndex = value; }
        }
        // End generated code --------------------------------
        #endregion

        public override string CurrentState
        {
            get { return _states[CurrentStateIndex]; }
        }

        public override void ChangeState(int offset)
        {
            int newStateIndex = CurrentStateIndex + offset;
            if (0 <= newStateIndex && newStateIndex < _states.Length)
                CurrentStateIndex = newStateIndex;
        }
    }
}
