USE [master]
GO

/****** Object:  Database [CAP_CentralDatabase]    Script Date: 07/05/2010 17:30:13 ******/
CREATE DATABASE [CAP_CentralDatabase] 
GO

ALTER DATABASE [CAP_CentralDatabase] SET COMPATIBILITY_LEVEL = 100
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [CAP_CentralDatabase].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [CAP_CentralDatabase] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [CAP_CentralDatabase] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [CAP_CentralDatabase] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [CAP_CentralDatabase] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [CAP_CentralDatabase] SET ARITHABORT OFF 
GO

ALTER DATABASE [CAP_CentralDatabase] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [CAP_CentralDatabase] SET AUTO_CREATE_STATISTICS ON 
GO

ALTER DATABASE [CAP_CentralDatabase] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [CAP_CentralDatabase] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [CAP_CentralDatabase] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [CAP_CentralDatabase] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [CAP_CentralDatabase] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [CAP_CentralDatabase] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [CAP_CentralDatabase] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [CAP_CentralDatabase] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [CAP_CentralDatabase] SET  DISABLE_BROKER 
GO

ALTER DATABASE [CAP_CentralDatabase] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [CAP_CentralDatabase] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [CAP_CentralDatabase] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [CAP_CentralDatabase] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [CAP_CentralDatabase] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [CAP_CentralDatabase] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [CAP_CentralDatabase] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [CAP_CentralDatabase] SET  READ_WRITE 
GO

ALTER DATABASE [CAP_CentralDatabase] SET RECOVERY SIMPLE 
GO

ALTER DATABASE [CAP_CentralDatabase] SET  MULTI_USER 
GO

ALTER DATABASE [CAP_CentralDatabase] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [CAP_CentralDatabase] SET DB_CHAINING OFF 
GO

USE [CAP_CentralDatabase]
GO
/****** Object:  Table [dbo].[AccountBalance]    Script Date: 07/05/2010 17:29:10 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AccountBalance](
	[Account] [nchar](10) NOT NULL,
	[Balance] [decimal](18, 2) NOT NULL,
 CONSTRAINT [PK_AccountBalance] PRIMARY KEY CLUSTERED 
(
	[Account] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO

USE [master]
GO

/****** Object:  Database [CAP_CQRS]    Script Date: 07/05/2010 17:30:55 ******/
CREATE DATABASE [CAP_CQRS]
GO

ALTER DATABASE [CAP_CQRS] SET COMPATIBILITY_LEVEL = 100
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [CAP_CQRS].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [CAP_CQRS] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [CAP_CQRS] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [CAP_CQRS] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [CAP_CQRS] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [CAP_CQRS] SET ARITHABORT OFF 
GO

ALTER DATABASE [CAP_CQRS] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [CAP_CQRS] SET AUTO_CREATE_STATISTICS ON 
GO

ALTER DATABASE [CAP_CQRS] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [CAP_CQRS] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [CAP_CQRS] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [CAP_CQRS] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [CAP_CQRS] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [CAP_CQRS] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [CAP_CQRS] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [CAP_CQRS] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [CAP_CQRS] SET  DISABLE_BROKER 
GO

ALTER DATABASE [CAP_CQRS] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [CAP_CQRS] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [CAP_CQRS] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [CAP_CQRS] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [CAP_CQRS] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [CAP_CQRS] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [CAP_CQRS] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [CAP_CQRS] SET  READ_WRITE 
GO

ALTER DATABASE [CAP_CQRS] SET RECOVERY SIMPLE 
GO

ALTER DATABASE [CAP_CQRS] SET  MULTI_USER 
GO

ALTER DATABASE [CAP_CQRS] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [CAP_CQRS] SET DB_CHAINING OFF 
GO

USE [CAP_CQRS]
GO
/****** Object:  Table [dbo].[AccountBalance]    Script Date: 07/05/2010 17:29:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AccountBalance](
	[Account] [nchar](10) NOT NULL,
	[Balance] [decimal](18, 2) NOT NULL,
 CONSTRAINT [PK_AccountBalance] PRIMARY KEY CLUSTERED 
(
	[Account] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Transfer]    Script Date: 07/05/2010 17:29:36 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Transfer](
	[TransferID] [int] IDENTITY(1,1) NOT NULL,
	[From] [nchar](10) NOT NULL,
	[To] [nchar](10) NOT NULL,
	[Amount] [decimal](18, 2) NOT NULL,
 CONSTRAINT [PK_Transfer] PRIMARY KEY CLUSTERED 
(
	[TransferID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  ForeignKey [FK_Transfer_From]    Script Date: 07/05/2010 17:29:36 ******/
ALTER TABLE [dbo].[Transfer]  WITH CHECK ADD  CONSTRAINT [FK_Transfer_From] FOREIGN KEY([From])
REFERENCES [dbo].[AccountBalance] ([Account])
GO
ALTER TABLE [dbo].[Transfer] CHECK CONSTRAINT [FK_Transfer_From]
GO
/****** Object:  ForeignKey [FK_Transfer_To]    Script Date: 07/05/2010 17:29:36 ******/
ALTER TABLE [dbo].[Transfer]  WITH CHECK ADD  CONSTRAINT [FK_Transfer_To] FOREIGN KEY([To])
REFERENCES [dbo].[AccountBalance] ([Account])
GO
ALTER TABLE [dbo].[Transfer] CHECK CONSTRAINT [FK_Transfer_To]
GO

USE [master]
GO

/****** Object:  Database [CAP_EventSourcing]    Script Date: 07/05/2010 17:31:06 ******/
CREATE DATABASE [CAP_EventSourcing]
GO

ALTER DATABASE [CAP_EventSourcing] SET COMPATIBILITY_LEVEL = 100
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [CAP_EventSourcing].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [CAP_EventSourcing] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [CAP_EventSourcing] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [CAP_EventSourcing] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [CAP_EventSourcing] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [CAP_EventSourcing] SET ARITHABORT OFF 
GO

ALTER DATABASE [CAP_EventSourcing] SET AUTO_CLOSE OFF 
GO

ALTER DATABASE [CAP_EventSourcing] SET AUTO_CREATE_STATISTICS ON 
GO

ALTER DATABASE [CAP_EventSourcing] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [CAP_EventSourcing] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [CAP_EventSourcing] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [CAP_EventSourcing] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [CAP_EventSourcing] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [CAP_EventSourcing] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [CAP_EventSourcing] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [CAP_EventSourcing] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [CAP_EventSourcing] SET  DISABLE_BROKER 
GO

ALTER DATABASE [CAP_EventSourcing] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [CAP_EventSourcing] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [CAP_EventSourcing] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [CAP_EventSourcing] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [CAP_EventSourcing] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [CAP_EventSourcing] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [CAP_EventSourcing] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [CAP_EventSourcing] SET  READ_WRITE 
GO

ALTER DATABASE [CAP_EventSourcing] SET RECOVERY SIMPLE 
GO

ALTER DATABASE [CAP_EventSourcing] SET  MULTI_USER 
GO

ALTER DATABASE [CAP_EventSourcing] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [CAP_EventSourcing] SET DB_CHAINING OFF 
GO

USE [CAP_EventSourcing]
GO
/****** Object:  Table [dbo].[Transfer]    Script Date: 07/05/2010 17:29:55 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Transfer](
	[TransferID] [int] IDENTITY(1,1) NOT NULL,
	[From] [nchar](10) NOT NULL,
	[To] [nchar](10) NOT NULL,
	[DateOfBusiness] [date] NOT NULL,
	[Amount] [decimal](18, 2) NOT NULL,
 CONSTRAINT [PK_Transfer] PRIMARY KEY CLUSTERED 
(
	[TransferID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[Current]    Script Date: 07/05/2010 17:29:55 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[Current](
	[DateOfBusiness] [date] NOT NULL
) ON [PRIMARY]
GO
/****** Object:  Table [dbo].[AccountBalance]    Script Date: 07/05/2010 17:29:55 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [dbo].[AccountBalance](
	[Account] [nchar](10) NOT NULL,
	[DateOfBusiness] [date] NOT NULL,
	[Balance] [decimal](18, 2) NOT NULL,
 CONSTRAINT [PK_AccountBalance] PRIMARY KEY CLUSTERED 
(
	[Account] ASC,
	[DateOfBusiness] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]
GO
